package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrApproveMapper;
import com.ruoyi.project.pssr.domain.TPssrApprove;
import com.ruoyi.project.pssr.service.ITPssrApproveService;

/**
 * pssr审批管理Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service("tPssrApproveService")
public class TPssrApproveServiceImpl implements ITPssrApproveService
{
    @Autowired
    private TPssrApproveMapper tPssrApproveMapper;

    /**
     * 查询pssr审批管理
     *
     * @param approveId pssr审批管理ID
     * @return pssr审批管理
     */
    @Override
    public TPssrApprove selectTPssrApproveById(Long approveId)
    {
        return tPssrApproveMapper.selectTPssrApproveById(approveId);
    }
    @Override
    public TPssrApprove selectTPssrApproveBySubId(Long subId)
    {
        return tPssrApproveMapper.selectTPssrApproveBySubId(subId);
    }
    @Override
    public TPssrApprove selectTPssrApproveByAboveallId(Long aboveallId)
    {
        return tPssrApproveMapper.selectTPssrApproveByAboveallId(aboveallId);
    }

    /**
     * 查询pssr审批管理列表
     *
     * @param tPssrApprove pssr审批管理
     * @return pssr审批管理
     */
    @Override
    public List<TPssrApprove> selectTPssrApproveList(TPssrApprove tPssrApprove)
    {
        return tPssrApproveMapper.selectTPssrApproveList(tPssrApprove);
    }

    /**
     * 新增pssr审批管理
     *
     * @param tPssrApprove pssr审批管理
     * @return 结果
     */
    @Override
    public int insertTPssrApprove(TPssrApprove tPssrApprove)
    {
        return tPssrApproveMapper.insertTPssrApprove(tPssrApprove);
    }

    /**
     * 修改pssr审批管理
     *
     * @param tPssrApprove pssr审批管理
     * @return 结果
     */
    @Override
    public int updateTPssrApprove(TPssrApprove tPssrApprove)
    {
        return tPssrApproveMapper.updateTPssrApprove(tPssrApprove);
    }

    /**
     * 批量删除pssr审批管理
     *
     * @param approveIds 需要删除的pssr审批管理ID
     * @return 结果
     */
    @Override
    public int deleteTPssrApproveByIds(Long[] approveIds)
    {
        return tPssrApproveMapper.deleteTPssrApproveByIds(approveIds);
    }

    /**
     * 删除pssr审批管理信息
     *
     * @param approveId pssr审批管理ID
     * @return 结果
     */
    @Override
    public int deleteTPssrApproveById(Long approveId)
    {
        return tPssrApproveMapper.deleteTPssrApproveById(approveId);
    }
}
